<div class="sdlr-header sdlr-header-wrapper container-fluid">
  <div class="d-flex align-items-center h-100">
    <!-- LEFT SIDE DATE CONTROL -->
    <div class="d-flex align-items-center">
      <button class="date-picker-pn-btn" (click)="nextPrevDate(-1)">
        <mat-icon class="pn-icon">keyboard_arrow_left</mat-icon>
      </button>
       
      <button #calendarOpenBtn
              class="d-flex align-items-center selected-date-wrapper"
              [ngClass]="{'week-view': service.getCurrentView() != 'day'}"
              (click)="toggleCalendarPopup(!isCalendarOpen)">
        <i class="fa fa-calendar cal-icon"></i>
        <div class="text-center flex-fill">
          {{getSelectedFormattedDate}}
        </div>
      </button>
      <button class="date-picker-pn-btn" (click)="nextPrevDate(1)">
        <mat-icon class="pn-icon">keyboard_arrow_right</mat-icon>
      </button>

      <!-- DISPLAY POPUP FOR CALENDER -->
      <kendo-popup #popup
                   class="date-picker-popup-wrapper"
                   [margin]="calendarPopUpMargin"
                   [anchor]='calendarOpenBtn'
                   popupClass="d-flex justify-content-center align-items-center date-selection-popup"
                   *ngIf="isCalendarOpen"
                   (open)="openCalendarPopup()"
                   (mouseover)="this.isCalenderFocus = true"
                   (mouseleave)="this.isCalenderFocus = false"
      >
        <dx-calendar
          class="calendar-popup"
          minZoomLevel="decade"
          [firstDayOfWeek]="1"
          [disabled]="false"
          value="{{service.getCurrentDate()}}"
          cellTemplate="custom"
          (onOptionChanged)="optionChanged()"
          (valueChange)="onDateSelect($event)"
        >

          <div class="d-flex align-items-center justify-content-center calender-tmplt-cell"
               *dxTemplate="let cell of 'custom'"
          >
            <!--            [ngClass]="{'current-hover-date-week-date': isApplyWeekOrMF(cell.date)}"-->
            <div (mouseenter)="mouseHover(cell)"
                 class="d-flex align-items-center justify-content-center calender-tmplt-cell-text">
              {{cell.text}}
            </div>
          </div>
        </dx-calendar>
        <div class="container-fluid p-0 text-center">
          <button class="flex-fill sdlr-view-btn remove-border"
                  (click)="setTodayDate(true)">
            Today
          </button>
        </div>
      </kendo-popup>
    </div>

    <!-- JUMP TO DATE DROPDOWN -->
    <div class="flex-fill align-items-center">
      <div class="today-other-action-wrapper justify-content-center d-flex align-items-center">
        <button class="today-btn" (click)="setTodayDate()">Today</button>
        <button id="todayBtn" matTooltip="Go Forward Week(s) or Month(s)"
                matTooltipClass="mon-week-tooltip"
                class="date-picker-pn-btn ic-down-wrapper remove-left-border-radius"
                (click)="openDateActionDeropDown()">
          <mat-icon class="pn-icon">keyboard_arrow_down</mat-icon>
        </button>

        <div class="kendo-dummy-dropdown">
          <dx-popover
            class="sdlr_popup date-action-popup"
            target="#todayBtn"
            [width]="128"
            [height]="480"
            [shading]="false"
            [visible]="isOpenDropDownList">
            <div *dxTemplate="let data of 'content'">
              <div class="list-item-wrapper" *ngFor="let dataItem of dateActions">
                <button (click)="performDateAction(dataItem)" [class.remove-border]="dataItem.id == 12"
                        class="date-action-list-item text-center">{{ dataItem.name }}</button>
              </div>
            </div>
          </dx-popover>
        </div>
      </div>
    </div>

    <!-- SCHEDULAR VIEW BUTTON -->
    <div class="sdlr-view-btn-wrapper d-flex"
         [ngClass]="{'rounded-left': service.getCurrentView() == 'day', 'rounded-right': service.getCurrentView() == 'week'}">

      <button class="flex-fill sdlr-view-btn remove-border" [class.selected]="service.getCurrentView() == 'day'"
              (click)="changeView('day')">Day
      </button>
      <div class="sdlr-view-btn-seperator" *ngIf="service.getCurrentView() == 'week'"></div>
      <button class="flex-fill sdlr-view-btn" [class.selected]="service.getCurrentView() == 'workWeek'"
              [disabled]="this.schedulerManageService.displayRoomSubject.asObservable() | async"
              (click)="changeView('workWeek')">M-F
      </button>
      <div class="sdlr-view-btn-seperator" *ngIf="service.getCurrentView() == 'day'"></div>
      <button class="flex-fill sdlr-view-btn" [class.selected]="service.getCurrentView() == 'week'"
              [disabled]="this.schedulerManageService.displayRoomSubject.asObservable() | async"
              (click)="changeView('week')">Week
      </button>
    </div>

    <!-- EXTRA OPTIONS -->
    <div class="extra-option-wrapper d-flex align-items-center">
      <button id="link4" class="eod-btn" (click)="this.isEODropDownListOpen = !this.isEODropDownListOpen;">
        <mat-icon class="pn-icon extra-option-icon">more_horiz</mat-icon>
      </button>
      <dx-popover
        class="sdlr_popup"
        target="#link4"
        position="top"
        [width]="233"
        [height]="240"
        [shading]="false"
        [(visible)]="isEODropDownListOpen">
        <div class="eo-content-wrapper" *dxTemplate="let data of 'content'">
          <button class="eo-item-container text-left d-flex w-100 align-items-center" *appAccess="APPT_BASIC; lookFor: ['C', 'V', 'E', 'D']">
            <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg"
                 (click)="clickSchedulerSettings(SchedulerSettingsEnum.PrintSchedule)">
              <path
                d="M11.4034 12.0205H6.59663C6.54326 12.0205 6.5 12.0638 6.5 12.1171V12.6239C6.5 12.6772 6.54326 12.7205 6.59663 12.7205H11.4034C11.4567 12.7205 11.5 12.6772 11.5 12.6239V12.1171C11.5 12.0638 11.4567 12.0205 11.4034 12.0205Z"
                fill="#575757"/>
              <path
                d="M11.4034 13.7471H6.59663C6.54326 13.7471 6.5 13.7903 6.5 13.8437V14.3504C6.5 14.4038 6.54326 14.4471 6.59663 14.4471H11.4034C11.4567 14.4471 11.5 14.4038 11.5 14.3504V13.8437C11.5 13.7903 11.4567 13.7471 11.4034 13.7471Z"
                fill="#575757"/>
              <path
                d="M11.4034 15.4736H6.59663C6.54326 15.4736 6.5 15.5169 6.5 15.5703V16.077C6.5 16.1304 6.54326 16.1736 6.59663 16.1736H11.4034C11.4567 16.1736 11.5 16.1304 11.5 16.077V15.5703C11.5 15.5169 11.4567 15.4736 11.4034 15.4736Z"
                fill="#575757"/>
              <path
                d="M13.6004 17.7538V10.1934H4.40039V17.7538C4.40039 17.8191 4.42634 17.8817 4.47252 17.9279C4.5187 17.9741 4.58133 18 4.64663 18H13.3542C13.3865 18 13.4185 17.9936 13.4484 17.9813C13.4783 17.9689 13.5054 17.9507 13.5283 17.9279C13.5511 17.905 13.5693 17.8779 13.5817 17.848C13.594 17.8181 13.6004 17.7861 13.6004 17.7538ZM12.8004 17.2H5.20039V10.9934H12.8004V17.2Z"
                fill="#575757"/>
              <path
                d="M16.5929 4.7998H1.40708C1.0339 4.79981 0.675999 4.94806 0.41212 5.21194C0.148242 5.47582 -2.12173e-06 5.83373 0 6.20691V11.7927C-2.12173e-06 12.1659 0.148242 12.5238 0.41212 12.7877C0.675999 13.0516 1.0339 13.1998 1.40708 13.1998H3.6999V9.49314H14.2999V13.1998H16.5929C16.9661 13.1998 17.324 13.0515 17.5879 12.7877C17.8518 12.5238 18 12.1659 18 11.7927V6.2069C18 5.83372 17.8518 5.47582 17.5879 5.21194C17.324 4.94806 16.9661 4.79981 16.5929 4.7998ZM15.8929 7.61398C15.7531 7.61398 15.6164 7.57251 15.5001 7.49481C15.3838 7.41712 15.2932 7.30669 15.2397 7.17748C15.1861 7.04828 15.1721 6.90611 15.1994 6.76895C15.2267 6.63178 15.294 6.50579 15.3929 6.4069C15.4918 6.30802 15.6178 6.24067 15.755 6.21339C15.8921 6.18611 16.0343 6.20011 16.1635 6.25363C16.2927 6.30715 16.4031 6.39778 16.4808 6.51406C16.5585 6.63034 16.6 6.76705 16.6 6.9069C16.6 6.99975 16.5817 7.0917 16.5462 7.17749C16.5106 7.26327 16.4586 7.34122 16.3929 7.40688C16.3272 7.47254 16.2493 7.52462 16.1635 7.56016C16.0777 7.59569 15.9858 7.61398 15.8929 7.61398V7.61398Z"
                fill="#575757"/>
              <path
                d="M13.5999 4.1V0.246228C13.5999 0.180923 13.574 0.118294 13.5278 0.0721178C13.4816 0.0259414 13.419 0 13.3537 0H4.64614C4.58084 0 4.51821 0.0259414 4.47203 0.0721178C4.42585 0.118294 4.39991 0.180923 4.3999 0.246228V4.1H5.1999V0.8H12.7999V4.1H13.5999Z"
                fill="#575757"/>
            </svg>
            <div class="w-100 eo-title">
              Print Schedule
            </div>
          </button>

          <button class="eo-item-container text-left d-flex w-100 align-items-center" *appAccess="APPT_BASIC; lookFor: ['C', 'V', 'E', 'D']">
            <svg width="18" height="13" viewBox="0 0 18 13" fill="none" xmlns="http://www.w3.org/2000/svg"
                 (click)="clickSchedulerSettings(SchedulerSettingsEnum.AppointmentListView)">
              <path
                d="M1.28571 2.6C1.99579 2.6 2.57143 2.01797 2.57143 1.3C2.57143 0.58203 1.99579 0 1.28571 0C0.575634 0 0 0.58203 0 1.3C0 2.01797 0.575634 2.6 1.28571 2.6Z"
                fill="#575757"/>
              <path
                d="M1.28571 7.8002C1.99579 7.8002 2.57143 7.21817 2.57143 6.5002C2.57143 5.78223 1.99579 5.2002 1.28571 5.2002C0.575634 5.2002 0 5.78223 0 6.5002C0 7.21817 0.575634 7.8002 1.28571 7.8002Z"
                fill="#575757"/>
              <path
                d="M1.28571 13.0004C1.99579 13.0004 2.57143 12.4184 2.57143 11.7004C2.57143 10.9824 1.99579 10.4004 1.28571 10.4004C0.575634 10.4004 0 10.9824 0 11.7004C0 12.4184 0.575634 13.0004 1.28571 13.0004Z"
                fill="#575757"/>
              <path
                d="M16.7145 2.6H6.42878C5.71812 2.6 5.14307 2.01855 5.14307 1.3C5.14307 0.581445 5.71812 0 6.42878 0H16.7145C17.4252 0 18.0002 0.581445 18.0002 1.3C18.0002 2.01855 17.4252 2.6 16.7145 2.6Z"
                fill="#575757"/>
              <path
                d="M16.714 7.8002H6.42829C5.71763 7.8002 5.14258 7.21875 5.14258 6.5002C5.14258 5.78164 5.71763 5.2002 6.42829 5.2002H16.714C17.4247 5.2002 17.9997 5.78164 17.9997 6.5002C17.9997 7.21875 17.4247 7.8002 16.714 7.8002Z"
                fill="#575757"/>
              <path
                d="M16.714 13.0004H6.42829C5.71763 13.0004 5.14258 12.4189 5.14258 11.7004C5.14258 10.9818 5.71763 10.4004 6.42829 10.4004H16.714C17.4247 10.4004 17.9997 10.9818 17.9997 11.7004C17.9997 12.4189 17.4247 13.0004 16.714 13.0004Z"
                fill="#575757"/>
            </svg>

            <div class="w-100 eo-title">
              Appointment List View
            </div>
          </button>

          <button class="eo-item-container text-left d-flex w-100 align-items-center"
                  *appAccess="APPT_BASIC; lookFor: ['C', 'V', 'E', 'D']"
                  (click)="clickSchedulerSettings(SchedulerSettingsEnum.PractitionerAvailability)">
            <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path
                d="M9 0C4.0295 0 0 4.0295 0 9C0 13.9705 4.0295 18 9 18C13.9705 18 18 13.9705 18 9C18 4.0295 13.9705 0 9 0ZM14.3225 6.2345L8.8225 12.7345C8.55 13.0555 8.0705 13.089 7.756 12.8145L3.756 9.3145C3.444 9.042 3.4125 8.568 3.6855 8.256C3.958 7.944 4.432 7.9125 4.744 8.1855L8.17 11.1835L13.178 5.266C13.4455 4.95 13.918 4.9105 14.2345 5.178C14.551 5.4455 14.59 5.918 14.3225 6.2345Z"
                fill="#575757"/>
            </svg>
            <div class="w-100 eo-title">
              Practitioner Availability
            </div>
          </button>

          <button class="eo-item-container text-left d-flex w-100 align-items-center"
                  *appAccess="APPT_BASIC; lookFor: ['C', 'V', 'E', 'D']"
                  (click)="clickSchedulerSettings(SchedulerSettingsEnum.TransferAppointment)">
            <svg width="18" height="20" viewBox="0 0 18 20" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path
                d="M12.826 2.38592C12.826 2.47368 12.8057 2.56017 12.7668 2.63824C12.7279 2.71631 12.6715 2.78372 12.6023 2.83489L10.1177 4.6716C10.0375 4.73032 9.94327 4.76521 9.8452 4.77246C9.74712 4.7797 9.64901 4.75903 9.56156 4.7127C9.47411 4.66636 9.40069 4.59615 9.34933 4.50972C9.29797 4.42329 9.27063 4.32398 9.27031 4.22263V3.11448C9.19936 3.13485 9.12618 3.14583 9.05253 3.14713C7.6715 3.14737 6.31884 3.55134 5.15158 4.31215C3.98431 5.07296 3.0503 6.15942 2.45796 7.44541C1.86562 8.73139 1.63924 10.1642 1.80509 11.5775C1.97094 12.9907 2.52223 14.3266 3.39497 15.4298C4.2677 16.5331 5.42609 17.3587 6.73568 17.8106C8.04528 18.2626 9.45236 18.3224 10.7936 17.9832C12.1349 17.644 13.3553 16.9196 14.3132 15.8942C15.2712 14.8687 15.9273 13.5843 16.2056 12.1899C16.2201 12.0664 16.2592 11.9473 16.3206 11.8401C16.382 11.733 16.4643 11.6401 16.5623 11.5675C16.6603 11.4948 16.7718 11.4438 16.8899 11.4178C17.0079 11.3918 17.1299 11.3913 17.2482 11.4164C17.3664 11.4414 17.4783 11.4915 17.5768 11.5634C17.6754 11.6353 17.7584 11.7275 17.8206 11.8341C17.8828 11.9407 17.9229 12.0595 17.9383 12.1829C17.9537 12.3063 17.9441 12.4317 17.9102 12.5511C17.5656 14.2793 16.7526 15.8713 15.5655 17.1422C14.3784 18.4132 12.8659 19.311 11.2036 19.7314C9.54135 20.1518 7.7975 20.0775 6.17453 19.5173C4.55156 18.957 3.11605 17.9337 2.03465 16.5661C0.953264 15.1986 0.270358 13.5429 0.0652234 11.7914C-0.139911 10.0398 0.14114 8.26417 0.875748 6.67065C1.61036 5.07713 2.76838 3.73108 4.21538 2.78878C5.66238 1.84649 7.33899 1.3466 9.05055 1.34715C9.1242 1.34841 9.19739 1.35939 9.26833 1.3798V0.551243C9.26865 0.44989 9.29599 0.350577 9.34735 0.264152C9.39872 0.177726 9.47213 0.107511 9.55958 0.0611767C9.64703 0.014842 9.74515 -0.00583103 9.84322 0.00141566C9.94129 0.00866235 10.0355 0.04355 10.1157 0.102268L12.6003 1.93898C12.6696 1.98973 12.7262 2.05671 12.7654 2.13442C12.8047 2.21212 12.8254 2.29832 12.826 2.38592ZM16.261 9.48584C16.2942 9.69605 16.3985 9.88737 16.5553 10.0259C16.7122 10.1645 16.9116 10.2414 17.1183 10.243C17.164 10.244 17.2097 10.2406 17.2549 10.2328C17.4262 10.2066 17.586 10.1285 17.7142 10.0085C17.8423 9.88842 17.9329 9.7318 17.9745 9.55852C18.016 9.38524 18.0067 9.20314 17.9476 9.03536C17.8885 8.86758 17.7823 8.7217 17.6426 8.61627C17.5029 8.51084 17.3359 8.45062 17.1629 8.44327C16.9899 8.43591 16.8186 8.48175 16.671 8.57496C16.5233 8.66817 16.4058 8.80454 16.3336 8.96674C16.2613 9.12893 16.2374 9.30962 16.265 9.48584H16.261ZM14.2614 5.07976C14.467 5.07911 14.6657 5.00371 14.8227 4.86683C14.9796 4.72996 15.0846 4.54039 15.1193 4.33152C15.154 4.12264 15.116 3.90786 15.0121 3.725C14.9083 3.54214 14.7451 3.40293 14.5514 3.33188C14.3578 3.26083 14.146 3.26251 13.9534 3.33661C13.7608 3.41072 13.5997 3.5525 13.4986 3.73699C13.3975 3.92147 13.3627 4.13683 13.4005 4.34513C13.4383 4.55343 13.5461 4.74131 13.7051 4.87568C13.8619 5.00825 14.0586 5.0804 14.2614 5.07976ZM15.7166 5.71241C15.5662 5.80032 15.4445 5.93228 15.367 6.09155C15.2894 6.25082 15.2595 6.43024 15.281 6.60706C15.3024 6.78388 15.3744 6.95016 15.4876 7.0848C15.6008 7.21945 15.7503 7.31641 15.9171 7.3634C16.0838 7.41038 16.2604 7.40528 16.4243 7.34873C16.5883 7.29218 16.7322 7.18674 16.838 7.04576C16.9437 6.90478 17.0065 6.73462 17.0183 6.55683C17.0302 6.37904 16.9905 6.20164 16.9044 6.0471C16.7895 5.84082 16.6001 5.68982 16.3775 5.62711C16.1549 5.56439 15.9173 5.59506 15.7166 5.71241ZM13.6853 10.6675C13.6853 11.6095 13.4143 12.5304 12.9065 13.3138C12.3988 14.0971 11.6771 14.7076 10.8327 15.0681C9.98839 15.4286 9.05929 15.5229 8.16293 15.3391C7.26657 15.1554 6.44321 14.7017 5.79697 14.0356C5.15073 13.3694 4.71064 12.5207 4.53234 11.5967C4.35404 10.6727 4.44555 9.71501 4.79529 8.84465C5.14504 7.97429 5.7373 7.23038 6.4972 6.70699C7.2571 6.1836 8.15049 5.90424 9.06441 5.90424C10.2899 5.90424 11.4653 6.40608 12.3319 7.29935C13.1984 8.19263 13.6853 9.40417 13.6853 10.6675ZM10.8997 11.7389L9.62668 10.4266V8.39809C9.62668 8.24438 9.56744 8.09696 9.46199 7.98826C9.35655 7.87957 9.21353 7.81851 9.06441 7.81851C8.91529 7.81851 8.77228 7.87957 8.66683 7.98826C8.56139 8.09696 8.50215 8.24438 8.50215 8.39809V10.9083L10.1038 12.5593C10.1538 12.6211 10.2158 12.6715 10.2858 12.7073C10.3558 12.7431 10.4322 12.7634 10.5102 12.7671C10.5883 12.7707 10.6662 12.7575 10.739 12.7284C10.8118 12.6993 10.878 12.6548 10.9332 12.5979C10.9884 12.541 11.0316 12.4728 11.0598 12.3977C11.0881 12.3227 11.1008 12.2423 11.0973 12.1619C11.0938 12.0815 11.074 12.0027 11.0393 11.9305C11.0046 11.8584 10.9557 11.7945 10.8957 11.743L10.8997 11.7389Z"
                fill="#575757"/>
            </svg>
            <div class="w-100 eo-title">
              Transfer Appointment
            </div>
          </button>

          <button *appAccess="APPT_SCHEDULE_SETTINGS; lookFor: ['C', 'V', 'E', 'D']" class="eo-item-container text-left d-flex w-100 align-items-center"
                  (click)="clickSchedulerSettings(SchedulerSettingsEnum.SchedulerSettings)">
            <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path
                d="M16.8898 6.75H15.3669C15.2888 6.53046 15.1965 6.31029 15.0914 6.09107L16.1701 5.01204C16.3787 4.80343 16.4957 4.527 16.4986 4.2345C16.5021 3.93879 16.3896 3.66204 16.1823 3.45439L14.5456 1.81768C14.1329 1.40496 13.4071 1.41043 12.988 1.82989L11.9109 2.907C11.692 2.80157 11.4711 2.709 11.2497 2.62993V1.11054C11.25 0.498214 10.7598 0 10.1575 0H7.84286C7.2405 0 6.75032 0.498214 6.75032 1.11054V2.62993C6.52918 2.709 6.30804 2.80157 6.08914 2.907L5.01236 1.83021C4.59289 1.41043 3.86743 1.40529 3.45439 1.81768L1.81768 3.45439C1.39179 3.88029 1.39725 4.57939 1.83021 5.01236L2.90861 6.09107C2.8035 6.31029 2.71125 6.53046 2.63314 6.75H1.11054C0.498214 6.75 0 7.24018 0 7.84254V10.1571C0 10.7595 0.498214 11.2497 1.11054 11.2497H2.63764C2.71639 11.4695 2.808 11.6884 2.91246 11.9051L1.83021 12.9873C1.62161 13.1959 1.50429 13.4724 1.50139 13.7652C1.49786 14.0612 1.61036 14.338 1.81768 14.5453L3.45439 16.182C3.86711 16.5947 4.59289 16.5896 5.01236 16.1695L6.09686 15.085C6.31382 15.1891 6.53207 15.2807 6.75 15.3588V16.8898C6.75 17.5018 7.24018 18 7.84254 18H10.1571C10.7595 18 11.2497 17.5018 11.2497 16.8898V15.3588C11.4676 15.281 11.6859 15.1894 11.9028 15.085L12.9876 16.1698C13.4068 16.5893 14.1326 16.5947 14.5453 16.182L16.182 14.5453C16.3896 14.338 16.5018 14.0612 16.4983 13.7655C16.4951 13.4727 16.3784 13.1962 16.1698 12.9876L15.0872 11.9051C15.1917 11.6884 15.2833 11.4695 15.362 11.2497H16.8895C17.5015 11.2497 17.9997 10.7595 17.9997 10.1571V7.84254C18 7.24018 17.5018 6.75 16.8898 6.75ZM12.2143 8.99421C12.2143 10.7666 10.7724 12.2085 9 12.2085C7.22764 12.2085 5.78571 10.7666 5.78571 8.99421C5.78571 7.22186 7.22764 5.77993 9 5.77993C10.7724 5.77993 12.2143 7.22218 12.2143 8.99421Z"
                fill="#575757"/>
            </svg>
            <div class="w-100 eo-title">
              Scheduler Settings
            </div>
          </button>

          <button class="eo-item-container text-left d-flex w-100 align-items-center"
                  (click)="clickSchedulerSettings(SchedulerSettingsEnum.SchedulerLegend)">
            <svg width="18" height="18" viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path
                d="M2.63588 2.63588C-0.878628 6.1504 -0.878628 11.8496 2.63588 15.3641C6.1504 18.8786 11.8496 18.8786 15.3641 15.3641C18.8786 11.8496 18.8786 6.1504 15.3641 2.63588C11.8496 -0.878628 6.1504 -0.878628 2.63588 2.63588ZM9.36095 3.77573C10.1208 3.77573 10.7288 4.40264 10.7288 5.16253C10.7288 5.92243 10.1018 6.54934 9.36095 6.54934C8.60106 6.54934 7.97414 5.92243 7.97414 5.14354C7.97414 4.38364 8.60106 3.77573 9.36095 3.77573ZM11.3177 13.0654C11.2797 13.1794 11.2037 13.3124 11.1277 13.3884C10.6338 13.9013 10.0259 14.2053 9.30396 14.2053C8.962 14.2053 8.63905 14.2053 8.2971 14.1483C7.74617 14.0723 7.04327 13.3884 7.13826 12.6665C7.21425 12.1726 7.29024 11.6786 7.36623 11.1847C7.51821 10.3298 7.67018 9.45594 7.82216 8.60106C7.82216 8.54406 7.84116 8.48707 7.84116 8.43008C7.84116 8.06913 7.72718 7.93615 7.36623 7.89815C7.21425 7.87916 7.06227 7.86016 6.91029 7.82216C6.73931 7.76517 6.64433 7.61319 6.66332 7.48021C6.68232 7.32823 6.77731 7.23324 6.96728 7.19525C7.06227 7.17625 7.17625 7.17625 7.29024 7.17625C7.70818 7.17625 8.12612 7.17625 8.56306 7.17625C9.019 7.17625 9.45594 7.17625 9.91187 7.17625C10.2348 7.17625 10.4248 7.32823 10.4248 7.65119C10.4248 7.91715 10.3868 8.18311 10.3298 8.44908C10.1588 9.43694 9.96887 10.4058 9.79789 11.3937C9.7409 11.7166 9.66491 12.0396 9.62691 12.3625C9.60791 12.5145 9.62691 12.6855 9.66491 12.8375C9.7219 13.0464 9.87388 13.1604 10.0828 13.1414C10.2538 13.1224 10.4248 13.0654 10.5958 12.9894C10.7288 12.9325 10.8427 12.8375 10.9757 12.7995C11.2037 12.7235 11.3747 12.8565 11.3177 13.0654Z"
                fill="#575757"/>
            </svg>
            <div class="w-100 eo-title">
              Scheduler Legend
            </div>
          </button>
        </div>
      </dx-popover>
    </div>
  </div>
</div>

<!-- DIALOG -->
<kendo-dialog
  class="scheduler-legend-dialog"
  *ngIf="isSchedulerLegendDialogOpen"
  [height]="'auto'"
  [width]="800">

  <div>
    <div class="d-flex align-items-center" style="height: 53px; min-height: 53px; padding: 0 15px 0 20px;">
      <div class="dialog-title text-uppercase flex-fill quicksand text-black bold_18px_font">
        <span>SCHEDULER LEGENDS</span>
      </div>
      <button mat-icon-button
              class="modalClosebtn"
              (click)="closeSchedulerLegendDialog()"
              style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;"
              aria-label="Close dialog">
        <mat-icon class="m-0">close</mat-icon>
      </button>
    </div>
    <mat-divider></mat-divider>

    <div class="content-container h-100">

      <div class="row p-0">
        <div class="col-6">

          <div class="content-part-title">
            <label class="mt-0 mb-1">Appointment Flags</label>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/new_patient.png"/>
            </div>
            <div class="legend-title">New Patient</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/web_booking.png"/>
            </div>
            <div class="legend-title">Web booking</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/reccurre.png"/>
            </div>
            <div class="legend-title">Recurring Appointment</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/teelhealth_appt.png"/>
            </div>
            <div class="legend-title">Telehealth Appointment</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/needs_attention.png"/>
            </div>
            <div class="legend-title">Needs Attention</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/tn_draft.png"/>
            </div>
            <div class="legend-title">Treatment Notes (Draft)</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/tn_finalised.png"/>
            </div>
            <div class="legend-title">Treatment Notes (Finalised)</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/letter_draft.png"/>
            </div>
            <div class="legend-title">Letter (In Draft)</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/letter_finalised.png"/>
            </div>
            <div class="legend-title">Letter (Finalised)</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/payment_unpaid.png"/>
            </div>
            <div class="legend-title">Invoice (Unpaid or partially Paid)</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/payment_paid.png"/>
            </div>
            <div class="legend-title">Invoice (Paid)</div>
          </div>

        </div>

        <div class="col-6">

          <div class="content-part-title">
            <label class="mt-0 mb-2">Appointment Confirmation Status</label>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/unconfirmed.png"/>
            </div>
            <div class="legend-title">Unconfirmed</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/confirmed.png"/>
            </div>
            <div class="legend-title">Confirmed</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/replied_no.png"/>
            </div>
            <div class="legend-title">Replied No (SMS)</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/waiting_room_arrived.png"/>
            </div>
            <div class="legend-title">Waiting Room Arrived</div>
          </div>

          <div class="d-flex align-items-center legend-container">
            <div class="legend-icon-container">
              <img src="./assets/scheduler-legends/waiting_room_dismissed.png"/>
            </div>
            <div class="legend-title">Waiting Room Dismissed</div>
          </div>
        </div>
      </div>

    </div>
  </div>
</kendo-dialog>
<!-- DIALOG -->
